LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_typelib_ArrayTypeDescription Struct Reference

Type description of an array. More...

`#include <typedescription.h>`

## Public Attributes
typelib_IndirectTypeDescription | aBase
| inherits all members of typelib_IndirectTypeDescription More...
sal_Int32 | nDimensions
| number of dimensions More...
sal_Int32 | nTotalElements
| number of total array elements More...
sal_Int32 * | pDimensions
| array of dimensions More...

## Detailed Description

Type description of an array.

## Member Data Documentation

typelib_IndirectTypeDescription _typelib_ArrayTypeDescription::aBase

inherits all members of typelib_IndirectTypeDescription

sal_Int32 _typelib_ArrayTypeDescription::nDimensions

number of dimensions

sal_Int32 _typelib_ArrayTypeDescription::nTotalElements

number of total array elements

sal_Int32* _typelib_ArrayTypeDescription::pDimensions

array of dimensions

The documentation for this struct was generated from the following file:

- typelib/typedescription.h